Contents

# MsgBox Function

메시지를 포함하는 대화 상자를 표시하고 값을 구합니다.

### Syntax:

    MsgBox (Prompt As String [,Buttons = MB_OK [,Title As String]]) As Integer

### Parameters:

prompt: String expression displayed as a message in the dialog box. Line breaks can be inserted with Chr$(13).

title: String expression displayed in the title bar of the dialog. If omitted, the title bar displays the name of the respective application.

buttons: Any integer expression that specifies the dialog type, as well as the number and type of buttons to display, and the icon type. buttons represents a combination of bit patterns, that is, a combination of elements can be defined by adding their respective values:

Named constant | Integer value | 의미
--- | --- | ---
MB_OK | 0 | Display OK button only.
MB_OKCANCEL | 1 | Display OK and Cancel buttons.
MB_ABORTRETRYIGNORE | 2 | Display Abort, Retry, and Ignore buttons.
MB_YESNOCANCEL | 3 | Display Yes, No, and Cancel buttons.
MB_YESNO | 4 | Display Yes and No buttons.
MB_RETRYCANCEL | 5 | Display Retry and Cancel buttons.
MB_ICONSTOP | 16 | Add the Stop icon to the dialog.
MB_ICONQUESTION | 32 | Add the Question icon to the dialog.
MB_ICONEXCLAMATION | 48 | Add the Exclamation Point icon to the dialog.
MB_ICONINFORMATION | 64 | Add the Information icon to the dialog.
| 128 | First button in the dialog as default button.
MB_DEFBUTTON2 | 256 | Second button in the dialog as default button.
MB_DEFBUTTON3 | 512 | Third button in the dialog as default button.

### Return value:

Integer

Named constant | Integer value | 의미
--- | --- | ---
IDOK | 1 | 확인
IDCANCEL | 2 | 취소
IDABORT | 3 | 취소
IDRETRY | 4 | 재시도
IDIGNORE | 5 | 건너뛰기
IDYES | 6 | 예
IDNO | 7 | 아니요

### Error codes:

5 잘못된 프로시저 호출입니다.

## 예:

    Sub ExampleMsgBox
    Dim sVar As Integer
     sVar = MsgBox("Las Vegas")
     sVar = MsgBox("Las Vegas",1)
     sVar = MsgBox( "Las Vegas",256 + 16 + 2,"Dialog title")
     sVar = MsgBox("Las Vegas", MB_DEFBUTTON2 + MB_ICONSTOP + MB_ABORTRETRYIGNORE, "Dialog title")
    End Sub